//Line.h
//Peter Csfalvay (Loptoi)

#ifndef LINE_H
#define LINE_H

#include "Common/World/Vector.h"
#include "Common/World/Point.h"

class Line
{
private:
	Point _p;
	Vector _v;
public:
	Line(const Point &p,const Vector &v): _p(p),_v(v) {}
	Line(const Line &l): _p(l._p), _v(l._v) {}

	inline const Line& operator =(const Line& line);
	inline const Point& IntersectLines(const Line& line);
	inline const Point& GetClosestPointTo(const Point &p);
};

const Line& Line::operator =(const Line& line)
{
	_p=line._p;
	_v=line._v;
	return *this;
}

const Point& Line::IntersectLines(const Line& line)
{

}

const Point& Line::GetClosestPointTo(const Point &p)
{
	Line l(p,_v.OrthoLeft());
	return IntersectLines(l);
}

#endif