// Memory.h

// Sluzi na ukladanie informacii o prostredi hraca

#ifndef MEMORY_H
#define MEMORY_H

#include "Common/Interfaces/Interface.h"
#include "Player/World/World.h"

// Interfejs pre pamat hraca (nekompatibilne s MemoryInterface a CoachMemoryInterface)
class MemoryInterface : public Interface
{
public:
	// Konstruktor
	MemoryInterface() : Interface("Memory Interface", "31.03.2006")
	{
	
	}
	// Destruktor
	virtual ~MemoryInterface()
	{
	
	}
	// Vrati pointer na svet hraca
	virtual World* GetWorld() const = 0;

};

#endif // MEMORY_H
