#ifndef __DASH_BEHAVIOUR_H__
#define __DASH_BEHAVIOUR_H__

#include "../../ModuleInterface.h"
#include "Common/World/Point.h"
#include "Player/World/Myself.h"
#include "../TurnNeckToBehaviour.h"
#include "../RunToPositionBehaviour.h"

#define NO_BEST_DASH (float)5000.f
#define DEFENSE_LINE_F -47.5f
#define DEFENSE_LINE_B -48.5f


/*
 * Spravanie realizujuce zrychlenie hraca v smere tela (dash)
 */
class DashBehaviour : public ModuleInterface
{
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(RunToPositionBehaviour)

public:
	virtual void Behave(float dashPower);
	float GetBestDash(const Point& pointFuture, const Myself& me, Point &bestPoint, float step);
};

#endif