#ifndef __PLAY_GOALIE_BEHAVIOUR_H__
#define __PLAY_GOALIE_BEHAVIOUR_H__

#include "../../ModuleInterface.h"
#include "BallUnknownBehaviour.h"
#include "KickOffBehaviour.h"
#include "CatchBehaviour.h"
#include "BallHeadingOnGoalBehaviour.h"
#include "PassNearGoalBehaviour.h"
#include "DefenseLineBehaviour.h"

/*
 * Najvyssie spravanie brankara, hraj:)
 */
class PlayGoalieBehaviour : public ModuleInterface
{
	USE_MODULE(BallUnknownBehaviour)
	USE_MODULE(KickOffBehaviour)
	USE_MODULE(CatchBehaviour)
	USE_MODULE(BallHeadingOnGoalBehaviour)
	USE_MODULE(PassNearGoalBehaviour)
	USE_MODULE(DefenseLineBehaviour)

public:
	virtual void Behave();

protected:
	bool ShouldKick();
};

#endif
