#ifndef OUTPLAYOPPONENTBEHAVIOUR_H_
#define OUTPLAYOPPONENTBEHAVIOUR_H_


#include "../ModuleInterface.h"
#include "TurnNeckToBehaviour.h"
#include "PassBallToBehaviour.h"
#include "../../../Evaluating/EvaluatingPanesMap.h"

/*
 *	Hrac si predkopne loptu popri superovi, bod na ktory sa predkopne lopta si spravanie samo 
 *  vypocita na zaklade svojej pozicie a pozicie najblizsieho supera
 *	
 */
class OutPlayOpponentBehaviour : public ModuleInterface
{
	//pouzite moduly spravania
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(PassBallToBehaviour)

public:
	virtual void Behave();

protected:
	// Vrati najblizsi index supera
	Player GetNearestEnemy(const Point& target);
};



#endif /*OUTPLAYOPPONENTBEHAVIOUR_H_*/
