#include "PassToStrategicPositionBehaviour.h"

/*
 * Prihravka na strategicku poziciu, ak nie su splnene podmienky tak na nahodnu poziciu z dazdniku
 *
 */
void PassToStrategicPositionBehaviour::Behave()
{
	Point ballPosition = world->ball->pos;

	if(ballPosition.GetX() < 15)
	{
		fprintf(stderr, "[LPT] t%d: Kopem do lopty.\n", world->state->GetSimTime());
		if(ballPosition.GetY() < 0)
			GetKickBehaviour()->Behave(Point(45, -30));
		else
			GetKickBehaviour()->Behave(Point(45, -30));
	}
	else
	{
		fprintf(stderr, "[LPT] t%d: Kopem do ddnika.\n", world->state->GetSimTime());
		GetPassToRandomUmbrellaPositionBehaviour()->Behave();
	}
}
