#ifndef __PLAY_ON_WITH_BALL_BEHAVIOUR_H__
#define __PLAY_ON_WITH_BALL_BEHAVIOUR_H__

#include "../ModuleInterface.h"

#include "KickToGoalBehaviour.h"
#include "OffsideLineBreachBehaviour.h"
#include "DribbleBehaviour.h"
#include "PassToStrategicPositionBehaviour.h"
#include "TurnNeckToBehaviour.h"
#include "PassBallToNormalPassPositionBehaviour.h"
#include "PassBallNearToGoalieBehaviour.h"
#include "CrossPassToGoalBehaviour.h"
#include "OutPlayOpponentBehaviour.h"

/*
 * Spravanie hraca s loptou pocas normalnej hry, t.j. ked nie je hra nijak prerusena.
 */
class PlayOnWithBallBehaviour : public ModuleInterface
{
	USE_MODULE(KickToGoalBehaviour)
	USE_MODULE(OffsideLineBreachBehaviour)
	USE_MODULE(DribbleBehaviour)
	USE_MODULE(PassToStrategicPositionBehaviour)
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(PassBallToNormalPassPositionBehaviour)
	USE_MODULE(PassBallNearToGoalieBehaviour)
	USE_MODULE(CrossPassToGoalBehaviour)
	USE_MODULE(OutPlayOpponentBehaviour)

public:
	virtual void Behave();
};

#endif
