#ifndef __PLAY_ON_WITHOUT_BALL_BEHAVIOUR_H__
#define __PLAY_ON_WITHOUT_BALL_BEHAVIOUR_H__

#include "../ModuleInterface.h"

#include "RunToPositionBehaviour.h"
#include "InterceptBallBehaviour.h"
#include "KickBehaviour.h"
#include "TackleBehaviour.h"
#include "KickToGoalBehaviour.h"
#include "TurnToBehaviour.h"
#include "AlignNeckBehaviour.h"
#include "UnblockMyselfBehaviour.h"
#include "TurnNeckToBehaviour.h"

/*
 * Spravanie hraca bez lopty pocas normalnej hry, ak nie je prerusena.
 */

class PlayOnWithoutBallBehaviour : public ModuleInterface
{
	USE_MODULE(RunToPositionBehaviour)
	USE_MODULE(InterceptBallBehaviour)
	USE_MODULE(TackleBehaviour)
	USE_MODULE(KickToGoalBehaviour)
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(AlignNeckBehaviour)
	USE_MODULE(UnblockMyselfBehaviour)
	USE_MODULE(TurnNeckToBehaviour)

public:
	PlayOnWithoutBallBehaviour();
	virtual bool Behave();

private:
	// Pozicie, na ktore sa hrac vracia, ked nevie, kde je lopta, alebo uz nie je potrebny v danej situacii.
	Point homePositions[11];
};

#endif
