#include "RunToPositionTestCase.h"

/**
 * prekryta metoda samotneho testu
 */
bool RunToPositionTestCase::Test()
{
	printf("\nRunToPositionTestCase::Test()");

	GetRunToPositionBehaviour()->Behave(Point(0,0), 2);

	if(world->me->pos.GetX()>-0.5 && world->me->pos.GetX()<0.5 && world->me->pos.GetY()>-0.5 && world->me->pos.GetY()<0.5)
	{	
		DBGN_TEST("TEST RunToPositionTestCase USPESNY ");
		fprintf(unitTestsLogFile, "ODCHYLKA: x:%f  y:%f \n",world->me->pos.GetX(),world->me->pos.GetY());
		SetIsTestSuccess(true);
		return true;
	}

	return false;
}

/**
 * prekryta metoda, co sa ma spravit po skonceni testu
 */
bool RunToPositionTestCase::CleanUpTest()
{
	printf("\nRunToPositionTestCase::CleanUpTest()");
	return true;
}
bool RunToPositionTestCase::PrepareBeforeTest()
{
	DBGN_TEST("------------------------------------------------------\n");
	DBGN_TEST("TEST RunToPositionTestCase PRIPRAVENY\n");
	return true;
}
