#ifndef __WITH_BALL_BEHAVIOUR_H__
#define __WITH_BALL_BEHAVIOUR_H__

#include "../ModuleInterface.h"
#include "ScanBehaviour.h"
#include "OurCornerKickBehaviour.h"
#include "OurFreeKickBehaviour.h"
#include "OurIndividualFreeKickBehaviour.h"
#include "TurnToBehaviour.h"
#include "StartPlayOnByPassToOurPlayerBehaviour.h"
#include "OurKickOffBehaviour.h"
#include "KickToGoalBehaviour.h"
#include "InterceptBallBehaviour.h"
#include "PlayOnWithBallBehaviour.h"
#include "OurKickInBehaviour.h"


class WithBallBehaviour : public ModuleInterface 
{
	USE_MODULE(ScanBehaviour)
	USE_MODULE(OurCornerKickBehaviour)
	USE_MODULE(OurFreeKickBehaviour)
	USE_MODULE(OurIndividualFreeKickBehaviour)
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(StartPlayOnByPassToOurPlayerBehaviour)
	USE_MODULE(OurKickOffBehaviour)
	USE_MODULE(KickToGoalBehaviour)
    USE_MODULE(InterceptBallBehaviour)
	USE_MODULE(KickBehaviour)
	USE_MODULE(PlayOnWithBallBehaviour)
	USE_MODULE(OurKickInBehaviour)

public:
	virtual void Behave();
private:
	bool ShouldKickIn();
};

#endif
