#ifndef __WITHOUT_BALL_BEHAVIOUR_H__
#define __WITHOUT_BALL_BEHAVIOUR_H__

#include "../ModuleInterface.h"
#include "RunToPositionBehaviour.h"
#include "OurCornerKickWithoutBallBehavior.h"
#include "OurFreeKickWithoutBallBehaviour.h"
#include "MoveToAnyKickPositionWithoutBallBehavior.h"
#include "OurKickInWithoutBallBehavior.h"
#include "TheirFreeKickBehaviour.h"
#include "TheirKickInBehaviour.h"
#include "PlayOnWithoutBallBehaviour.h"


class WithoutBallBehaviour : public ModuleInterface
{
	USE_MODULE(RunToPositionBehaviour)
	USE_MODULE(OurCornerKickWithoutBallBehavior)
	USE_MODULE(OurFreeKickWithoutBallBehaviour)
	USE_MODULE(MoveToAnyKickPositionWithoutBallBehavior)
	USE_MODULE(OurKickInWithoutBallBehavior)
	USE_MODULE(TheirFreeKickBehaviour)
	USE_MODULE(TheirKickInBehaviour)
	USE_MODULE(PlayOnWithoutBallBehaviour)

public:
	virtual void Behave();
};

#endif
