// Movable.cpp
 
// Implementacia vseobecneho pohybujuceho sa objektu sveta

#include "Player/World/Movable.h"
#include "Player/World/World.h"

Movable::Movable(World* w) : WorldObject(w)
{
	age = 0;
}

// Kopirovaci konstruktor
Movable::Movable(const Movable& object) : WorldObject(object.world)
{
	pos = object.pos;
	vel = object.vel;
	age = object.age;
}

// Operator priradenia
Movable& Movable::operator =(const Movable& object)
{
	if(&object == this)
		return *this;

	pos = object.pos;
	vel = object.vel;
	age = object.age;

	return *this;
}
