// CharString.h

// Retazec zlozeny z charov

#ifndef CHARSTRING_H
#define CHARSTRING_H

#include <stdlib.h>

// Trieda zapuzdrujuca charovy retazec
class CharString
{	
	char* m_pStr;	// string pointer
//	char* m_pTmp;	// temporary string pointer
public:
	// Konstruktory
	CharString()
	{
		m_pStr = NULL;
	}
	CharString(const char* pStr);
	CharString(const CharString& str);
	
	CharString(char* pStr, int)
	{ 
		m_pStr = pStr;
	}
	
	// Destruktor
	virtual ~CharString();

	// Operatory
	operator char*();	// temporary pointer
	
//	CharString operator +(const char* pStr);
//	CharString operator +(const CharString& str);
//	friend CharString operator +(const char* pStr, const CharString& str);
//	CharString& operator =(const char* pStr);
//	CharString& operator =(const CharString& str);

//	int operator ==(const char* pStr);
//	int operator ==(const CharString& str);
//	friend int operator ==(const char* pStr, const CharString& str);

};

#endif // CHARSTRING_H
