// Interact.h

// Interaktivne ovladanie programu
// Vyuziva to main.cpp

#ifndef INTERACT_H
#define INTERACT_H

#include "Common/Interfaces/Commands.h"
#include "Common/Interfaces/Communication.h"
#include "Common/Module.h"
#include "Common/Main.h"

// Interaktivny modul
class Interact : public Module
{
	// Komunikacne rozhranie cez sockety
	CommunicationInterface	*m_pSocket;
	// Prikazove rozhranie
	CommandsInterface		*m_pCommandGen;

#ifndef COACH
	// 
	bool clangInit;
#endif
	
	//
	bool m_bInit;
	// Automatika?
	bool m_bAuto;
	// Brankar?
	bool m_bGoalie;
	// Nazov timu
	char m_strTeamName[32];
	// Nazov serveru
	char m_strServer[32];
	// Cislo portu
	unsigned m_uPort;
	//
	char m_strBuf[128];
	//
	char m_strLast[128];
	//
	int m_iPos;

public:
	// Konstruktor
	Interact();
	// Destruktor
	virtual ~Interact()
	{
	
	}

	// METODY

	virtual int Init(int argc, char **argv, int iTask = -1);
	virtual void Run(int iTask = -1);
};

 #endif	// INTERACT_H
