#ifndef __ACT_TEST_BEHAVIOR__
#define __ACT_TEST_BEHAVIOR__

#include "../ModuleInterface.h"
#include "PlayerBehaviourTests/RunToPositionTestCase.h"
#include "PlayerBehaviourTests/PassBallToTestCase.h"
#include "PlayerBehaviourTests/NearKickTestCase.h"
#include "PlayerBehaviourTests/TurnToTestCase.h"
#include "PlayerBehaviourTests/TurnNeckToAuxTestCase.h"

class ActTestBehaviour : public ModuleInterface
{
	USE_MODULE(RunToPositionTestCase)
	USE_MODULE(PassBallToTestCase)
	USE_MODULE(NearKickTestCase)
	USE_MODULE(TurnToTestCase)
	USE_MODULE(TurnNeckToAuxTestCase)


public:
	virtual void Behave();

};

#endif

