#ifndef CATCH_BEHAVIOUR_H_
#define CATCH_BEHAVIOUR_H_

#include "../../ModuleInterface.h"
#include "DashBehaviour.h"
#include "../TurnToBehaviour.h"
#include "../RunToPositionBehaviour.h"


/*
 *	Ak treba chytit loptu, zavola sa toto spravanie.
 *	
 */
class CatchBehaviour : public ModuleInterface
{
	USE_MODULE(DashBehaviour)
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(RunToPositionBehaviour)

public:
	virtual void Behave();
	bool CanCatchBall();
	bool CanCatchBall(float catch_coef,const Point& myFuturePos,const Point& ballFuturePos,int cycles);
	bool TryCatchBall();

protected:
	bool Intercept2Cycles(float catch_coef);
};

#endif /* CATCH_BEHAVIOUR_H_ */
