#ifndef __DEFENSE_LINE_BEHAVIOUR_H__
#define __DEFENSE_LINE_BEHAVIOUR_H__

#include "../../ModuleInterface.h"
#include "Common/World/Point.h"

#include "../RunToPositionBehaviour.h"
#include "../TurnToBehaviour.h"
#include "../TurnNeckToBehaviour.h"
#include "DashBehaviour.h"

/*
 * Spravanie realizuje obranny mod brankara.
 */
class DefenseLineBehaviour : public ModuleInterface
{
	USE_MODULE(RunToPositionBehaviour)
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(DashBehaviour)
	USE_MODULE(TurnNeckToBehaviour)

public:
	DefenseLineBehaviour();
	virtual void Behave();

protected:
	void DefensePoint(Point &p,bool &left);
	bool TurnBody(bool left,float odch);
	void LookAtBall();

	Point stredBrany;
};

#endif
