#ifndef KICK_BEHAVIOUR_H_
#define KICK_BEHAVIOUR_H_

#include "../ModuleInterface.h"
#include "TurnToBehaviour.h"
#include "NearKickBehaviour.h"
#include "RunToPositionBehaviour.h"
#include "PassBallToBehaviour.h"

/*
 *	Ak treba kopnut, zavola sa toto spravanie.
 *	
 */
class KickBehaviour : public ModuleInterface
{
	//pouzite moduly spravania
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(NearKickBehaviour)
	USE_MODULE(RunToPositionBehaviour)
	USE_MODULE(PassBallToBehaviour)

public:
	virtual void Behave(const Point& target);
	bool ShortKick(const Point& position);
	void TurnBall();
	float GetKickPower(const Point& target, int steps);
};

#endif /* KICK_BEHAVIOUR_H_ */
