#ifndef __KICK_TO_GOAL_BEHAVIOUR_H__
#define __KICK_TO_GOAL_BEHAVIOUR_H__

#include "../ModuleInterface.h"

#include "KickBehaviour.h"
#include "PassBallToBehaviour.h"

/*
 * Spravanie strielania na branku, poskytuje viacero metod na vyber typu strely.
 */
class KickToGoalBehaviour : public ModuleInterface
{
	USE_MODULE(KickBehaviour)
	USE_MODULE(PassBallToBehaviour)

public:
	KickToGoalBehaviour();

	virtual void Behave();
	void KickToMiddleGoal();
	void KickToGoalThruDefence();
	void KickToGoalEvalPanesMap();
	bool ShouldKickOnGoal();

private:
	// Bod pre strelbu, ktory sa pouziva nielen pre urcenie optimalneho bodu pre strelbu
	double lfShootPosX, lfShootPosY;
};

#endif
