#include "MoveToAnyKickPositionWithoutBallBehavior.h"

/**
 *	spravnie, predstavuje posunutie konkretnych hracov bez lopty na konkretne pozicie pri volnych, goalkick, kopoch...
 *	jednoducho presunie konkretne cisla na konkretne miesta podla hracieho modu 
 *
 *	@param playMode - hraci mod
 *
 *	@return true ak sa hrac posunul niekam inak false
 */
bool MoveToAnyKickPositionWithoutBallBehavior::Behave()
{
	int myUniform = DATA_STORAGE.myUniform;
	bool result = false;

	switch(world->state->GetPlayMode()) 
	{
	case PM_FreeKick_Our:
		/*falls through*/
	case PM_IndFreeKick_Our:
		/*falls through*/
	case PM_GoalKick_Our:
		{	
			switch(myUniform)
			{
			case 2:
				GetRunToPositionBehaviour()->Behave(Point(-32, 0), 1);
				result = true;
				break;
			case 3:
				GetRunToPositionBehaviour()->Behave(Point(-39, -18), 1);
				result = true;
				break;
			case 4:
				GetRunToPositionBehaviour()->Behave(Point(-39, 18), 1);
				result = true;
				break;
			default:
				result = false;
			}
		}
		break;
	default:
		result = false;
	}

	return result;
}