#include "OurFreeKickWithoutBallBehaviour.h"

/**
 *
 * n von kop, n individulny von kop
 *
 */
bool OurFreeKickWithoutBallBehaviour::Behave(void)
{
	Player* ourGoalie=DATA_STORAGE.GetOurGoalie();
	if(ourGoalie==NULL || (ourGoalie->pos - world->ball->pos).GetLength()>1)
	{
		if(DATA_STORAGE.myUniform == 5)
		{
			GetRunToPositionBehaviour()->Behave( DATA_STORAGE.ballPosition, 1);
			return true;
		}
		
		Vector possibility1 = DATA_STORAGE.ballPosition -  Point(36, -20.16f);
		Vector possibility2 = DATA_STORAGE.ballPosition -  Point(36,  20.16f);
		
		
		if((possibility1.GetLength() < 1.5) || (possibility2.GetLength() < 1.5))
		{
			GetRunToPositionBehaviour()->ExitOffside();
			return true;
		}
		else
		{
			if(DATA_STORAGE.myUniform == 6)
			{
				GetRunToPositionBehaviour()->Behave(Point(DATA_STORAGE.ballPosition.GetX() + 12, DATA_STORAGE.ballPosition.GetY() - 10), 1);
				return true;
			}
			else if(DATA_STORAGE.myUniform == 7)
			{
				GetRunToPositionBehaviour()->Behave(Point(DATA_STORAGE.ballPosition.GetX() + 15, DATA_STORAGE.ballPosition.GetY()), 1);
				return true;
			}
			else if(DATA_STORAGE.myUniform == 8)
			{
				GetRunToPositionBehaviour()->Behave(Point(DATA_STORAGE.ballPosition.GetX() + 12, DATA_STORAGE.ballPosition.GetY() + 10), 1);
				return true;
			}
		}
		
		GetRunToPositionBehaviour()->ExitOffside();
	}
	else
	{
		//TXTN("Vykop");
		bool retVal = false;
		//BK - pouzil som nove spravanie namiesto metody LPT_PlayFreeKickPosition
		retVal = GetMoveToAnyKickPositionWithoutBallBehavior()->Behave();
		if (retVal)
		{
			return true;
		}
		else
		{
			DATA_STORAGE.ignoreBall = false;
		}
	}

	return false;
}
