#ifndef PASSBALLTOBEHAVIOUR_H_
#define PASSBALLTOBEHAVIOUR_H_


#include "../ModuleInterface.h"
#include "../CommonFunctions.h"
#include "TurnNeckToBehaviour.h"
#include "NearKickBehaviour.h"

/*
 *	Nahra loptu na urcite miesto s urcitou rychlostou
 *	
 */
class PassBallToBehaviour : public ModuleInterface
{
	//pouzite moduly spravania
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(NearKickBehaviour)

public:
	virtual void Behave(const Point& pos, float speed = 0.7f);
	virtual void Behave(const Player& player, float speed /* = 0.7f */);
	bool IsBlockingEnemy(const Point& target);

	float CorrectPassSpeed(float fRequirSpeeed);
};



#endif /*PASSBALLTOBEHAVIOUR_H_*/
