#ifndef __PLAY_OFF_BEHAVIOUR_H__
#define __PLAY_OFF_BEHAVIOUR_H__

#include "../ModuleInterface.h"
#include "MoveBehaviour.h"
#include "TurnToBehaviour.h"
#include "TurnNeckToBehaviour.h"
#include "RunToPositionBehaviour.h"
#include "LeadershipBehaviour.h"

/*
 * Spravanie hraca pocas modu playoff
 */
class PlayOffBehaviour : public ModuleInterface
{
	USE_MODULE(MoveBehaviour)
	USE_MODULE(TurnToBehaviour)
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(RunToPositionBehaviour)
	USE_MODULE(LeadershipBehaviour)

public:
	virtual void Behave();

protected:
	void PlayerRunPlayOff();
};

#endif
