#ifndef __PLAY_ON_BEHAVIOUR_H__
#define __PLAY_ON_BEHAVIOUR_H__

#include "../ModuleInterface.h"
#include "GoalieBehaviours/PlayGoalieBehaviour.h"
#include "WithBallBehaviour.h"
#include "WithoutBallBehaviour.h"
#include "SayBehaviour.h"
#include "TurnNeckToBehaviour.h"
#include "LeadershipBehaviour.h"
#include "SearchForBallBehaviour.h"

/*
 * Spravanie hraca pocas modu playon
 */
class PlayOnBehaviour : public ModuleInterface
{
	USE_MODULE(PlayGoalieBehaviour)
	USE_MODULE(WithBallBehaviour)
	USE_MODULE(WithoutBallBehaviour)
	USE_MODULE(SayBehaviour)
	USE_MODULE(TurnNeckToBehaviour)
	USE_MODULE(LeadershipBehaviour)
	USE_MODULE(SearchForBallBehaviour)

public:
	virtual void Behave();

protected:
	void PlayerRunPlayOn();
	void GoalieSetView();
	ViewWidth WidthFromDistance(float distance);
};

#endif
