#include "WithoutBallBehaviour.h"

/*
 * Spravanie hraca bez lopty
 */
void WithoutBallBehaviour::Behave()
{
	DATA_STORAGE.myPosition = world->me->pos;
	DATA_STORAGE.myUniform = world->me->GetUniform();

	DATA_STORAGE.ignoreBall = false;

	if((world->ball->pos - DATA_STORAGE.myPosition).GetLength() < 5.0)
		world->me->bNeckSynchronization = false;
	else
		world->me->bNeckSynchronization = true;

	// Toto je tu kvoli nevychadzaniu hracov mimo ihriska
	Point tmpNewPosition = DATA_STORAGE.myPosition;
	if(DATA_STORAGE.myPosition.GetX() <= -52.5) tmpNewPosition.SetX(-51);
	if(DATA_STORAGE.myPosition.GetX() >= 52.5) tmpNewPosition.SetX(51);
	if(DATA_STORAGE.myPosition.GetY() <= -34) tmpNewPosition.SetY(-33);
	if(DATA_STORAGE.myPosition.GetY() >=  34) tmpNewPosition.SetY(33);

	if((DATA_STORAGE.myPosition.GetX() != tmpNewPosition.GetX()) || 
		(DATA_STORAGE.myPosition.GetY() != tmpNewPosition.GetY()))
	{
		GetRunToPositionBehaviour()->Behave(tmpNewPosition, 2);
		return;
	}

	// Informacie o lopte su validne
	DATA_STORAGE.ballPosition = world->ball->pos;
	DATA_STORAGE.scanBeforeKickOffAngle = 0;

	//	<NASE ZAHRAVANIE>
	
	// <Rohovy kop> - n rohov kop
	if(world->state->GetPlayMode() == PM_CornerKick_Our)
	{	
		GetOurCornerKickWithoutBallBehavior()->Behave();
		return;
	} // -n von kop, n individulny von kop, PK
	else if(world->state->GetPlayMode() == PM_FreeKick_Our || world->state->GetPlayMode() == PM_IndFreeKick_Our)
	{
		if(GetOurFreeKickWithoutBallBehaviour()->Behave())
		{
			return;
		}
	} // nas pokutovy kop
	else if(world->state->GetPlayMode() == PM_GoalKick_Our)
	{	
		if (GetMoveToAnyKickPositionWithoutBallBehavior()->Behave())
		{
			return;
		}
		else
		{
			DATA_STORAGE.ignoreBall = false;
		}
	}
	//nase vhadzovanie
	else if(world->state->GetPlayMode() == PM_KickIn_Our)
	{
		GetOurKickInWithoutBallBehavior()->Behave();
		return;
	}
	//nas vykop
	else if(world->state->GetPlayMode() == PM_KickOff_Our)
	{
		if(DATA_STORAGE.myUniform == 10)
		{
			GetRunToPositionBehaviour()->Behave(DATA_STORAGE.ballPosition, 1);
			return;
		}
		else
		{
			DATA_STORAGE.ignoreBall = true;
		}
	}
	else if(world->state->GetPlayMode() == PM_PenaltyKick_Our)
	{
		DATA_STORAGE.ignoreBall = true;
	}


	//	<SUPEROVE ZAHRAVANIE>
	
	// <Rohovy kop>
	if(world->state->GetPlayMode() == PM_CornerKick_Their)
	{
		Point CornerKickPositions[11] =
		{
			Point(-48,   9),	// Brankar
			Point(-40,  13),	// Hrac c. 2
			Point(-50,  23),	// Hrac c. 3
			Point(-46,  23),	// Hrac c. 4
			Point(-40,   3),	// Hrac c. 5
			Point(-45, -13),	// Hrac c. 6
			Point(-42,  23),	// Hrac c. 7
			Point(-19, -12),	// Hrac c. 8
			Point(-19,  12),	// Hrac c. 9
			Point(-40,  13),	// Hrac c. 10
			Point(-38,  23),	// Hrac c. 11
		}; 

		if(DATA_STORAGE.ballPosition.GetY() < 0)
		{
			for(int i = 0; i < 11; i++)
			{
				CornerKickPositions[i].SetY(-1 * CornerKickPositions[i].GetY());
			}
		}

		GetRunToPositionBehaviour()->Behave(CornerKickPositions[DATA_STORAGE.myUniform - 1], 1);
		
		return;
	}

	//superov (individualny) volny kop
	else if(world->state->GetPlayMode() == PM_FreeKick_Their || world->state->GetPlayMode() == PM_IndFreeKick_Their)
	{	
		if(GetTheirFreeKickBehaviour()->Behave()) return;
	}

	//superova patka
	else if(world->state->GetPlayMode() == PM_GoalKick_Their)
	{
		DATA_STORAGE.ignoreBall = false;	
	}

	//superove vhadzovanie
	else if(world->state->GetPlayMode() == PM_KickIn_Their)
	{
		GetTheirKickInBehaviour()->Behave();
		return;
	}

	if (world->state->GetPlayMode() == PM_PlayOn)
	{
		if(GetPlayOnWithoutBallBehaviour()->Behave())
			return;
	}
}
