#ifndef __EVENT_HANDLERS_H__
#define __EVENT_HANDLERS_H__

#include "ModuleInterface.h"
#include "Behaviours/LeadershipBehaviour.h"

/*
 * Handlery spracovavajuce prichod informacii zo servera
 */

class EventHandlers : public ModuleInterface
{
	USE_MODULE(LeadershipBehaviour)

public:
	void OnHear(int time, float direction, bool ourTeam, int uniform, const char* msg);
	void OnInit(RealSide realSide, unsigned uniform, PlayMode iMode);
	void OnChangeMode(int time, PlayMode mode);
};

#endif
